package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel("分页获取菜品导入异常记录")
public class MenuDishesImportFailPageVO implements Serializable {
   @ApiModelProperty("失败行数")
   private Integer failRow;
   @ApiModelProperty("失败原因")
   private String failReason;
   @ApiModelProperty("导入时间")
   private LocalDateTime importTime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Integer getFailRow() {
      return this.failRow;
   }

   public String getFailReason() {
      return this.failReason;
   }

   public LocalDateTime getImportTime() {
      return this.importTime;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setFailRow(final Integer failRow) {
      this.failRow = failRow;
   }

   public void setFailReason(final String failReason) {
      this.failReason = failReason;
   }

   public void setImportTime(final LocalDateTime importTime) {
      this.importTime = importTime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
